unicode-data.h File Reference

Go to the source code of this file.

## Enumerations

enum class | _Gcb_property { _Gcb_Other , _Gcb_Control , _Gcb_LF , _Gcb_CR , _Gcb_Extend , _Gcb_Prepend , _Gcb_SpacingMark , _Gcb_L , _Gcb_V , _Gcb_T , _Gcb_ZWJ , _Gcb_LV , _Gcb_LVT , _Gcb_Regional_Indicator }
enum class | _InCB { _Consonant , _Extend }

## Variables

constexpr uint32_t | __escape_edges []
constexpr uint32_t | __gcb_edges []
constexpr int | __gcb_shift_bits
constexpr uint32_t | __incb_edges []
constexpr char32_t | __incb_linkers []
constexpr char32_t | __width_edges []
constexpr char32_t | __xpicto_edges []

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <format>.

Definition in file unicode-data.h.

## Enumeration Type Documentation

## _Gcb_property

enum class _Gcb_property

strong

Definition at line 319 of file unicode-data.h.

## _InCB

enum class _InCB

strong

Definition at line 634 of file unicode-data.h.

## Variable Documentation

## __escape_edges

uint32_t __escape_edges[]

inline constexpr

Definition at line 70 of file unicode-data.h.

## __gcb_edges

uint32_t __gcb_edges[]

inline constexpr

Definition at line 340 of file unicode-data.h.

## __gcb_shift_bits

int __gcb_shift_bits

inline constexpr

Definition at line 339 of file unicode-data.h.

## __incb_edges

uint32_t __incb_edges[]

inline constexpr

Definition at line 639 of file unicode-data.h.

## __incb_linkers

char32_t __incb_linkers[]

inline constexpr

Definition at line 630 of file unicode-data.h.

## __width_edges

char32_t __width_edges[]

inline constexpr

Definition at line 38 of file unicode-data.h.

## __xpicto_edges

char32_t __xpicto_edges[]

inline constexpr

Definition at line 776 of file unicode-data.h.